Bug 1409814 - [Intel OSP12] Huge Pages Monitoring support [collectd-hugepages]
Summary: [Intel OSP12] Huge Pages Monitoring support [collectd-hugepages]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1419948 1422243 intel-collectd
TreeView+ depends on / blocked
 
Reported: 2017-01-03 14:00 UTC by damien Power
Modified: 2018-06-27 13:10 UTC (History)
21 users (show)

Fixed In Version: collectd-5.8.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1409844 1409846 1409853 1409858 1409864 1409872 1409875 1409876 1410045 1410048 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:08:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 12425 0 None None None 2018-02-19 09:39:01 UTC
Red Hat Product Errata RHEA-2018:2084 0 None None None 2018-06-27 13:10:40 UTC

Description damien Power 2017-01-03 14:00:52 UTC
1. Feature Overview:
a) Name of feature: Huge Pages Monitoring support
b) Feature Description: 
Huge pages plugin allows allows the monitoring of free and used hugepage numbers/bytes/percentage on platform. The collectd reporting of hugepages should be supported in OSP.

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 2 Robert Love 2017-01-03 15:40:19 UTC
Hugepages plugin: This new plugin reports the number of used and free hugepages on Linux. Thanks to Jaroslav Safka, Maryam Tahhan, Kim Jones and Florian Forster. #1799 (https://github.com/collectd/collectd/pull/1799)

Comment 4 damien Power 2017-03-30 13:30:11 UTC
this plugin is upstreamed to collectd

Comment 8 Matthias Runge 2017-07-12 09:36:08 UTC
how to test: yum install collectd-hugepages
and see a hugepages metering showing up in grafana.

Comment 10 Leonid Natapov 2017-09-11 14:14:11 UTC
The package is in the opstools repo and can be installed by running yum install but we should do container integration for this plugin. We need to change default container images to include huje pages  plugin.

Comment 11 Leonid Natapov 2017-09-11 14:25:23 UTC
Pls,consider to move to osp13.

Comment 15 Robert Love 2017-10-10 15:51:40 UTC
Upstream in collectd v5.7.2.

Comment 23 Leonid Natapov 2018-02-19 09:09:07 UTC
Please provide instructions how to configure/test

Comment 24 Matthias Runge 2018-02-19 09:39:01 UTC
Leonid, the config I could find is this here:

https://collectd.org/documentation/manpages/collectd.conf.5.shtml#plugin_hugepages

Comment 25 Matthias Runge 2018-02-19 09:41:39 UTC
Once the plugin is loaded, one should find a plugin in grafana, beginning with hugepages_

Comment 26 Matthias Runge 2018-02-20 10:50:36 UTC
new build adds config

Comment 28 Leonid Natapov 2018-03-13 14:53:10 UTC
collectd-5.8.0-4.el7ost

Getting Huge pages metrics

[root@opstools-0 ~]# gnocchi metric list | grep huge
| 01421251-5675-46d2-a729-1a6e870c1b15 | low                 | hugepages-node0-2048Kb@vmpage_number-used     | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 07960e89-aa63-4622-8f50-5d0108cde302 | low                 | hugepages-node0-1048576Kb@vmpage_number-free  | None | 552a4457-610b-53c1-98fe-fcac66b99eb6 |
| 08cb0b18-bd3c-4ee7-b00f-5c2f83307af2 | low                 | hugepages-node0-1048576Kb@vmpage_number-used  | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 0e684e62-4e2f-47dc-a628-54e78c6ab4b4 | low                 | hugepages-node0-1048576Kb@vmpage_number-used  | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 12d1a25c-2cf2-47ed-ac0c-d16ca0ecf9fe | low                 | hugepages-mm-2048Kb@vmpage_number-free        | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |
| 16794da9-55d2-40e7-b77c-ffd71d45b6f1 | low                 | hugepages-mm-2048Kb@vmpage_number-used        | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 1b69f4e4-e9b7-4ad5-883b-3178535e8266 | low                 | hugepages-node0-2048Kb@vmpage_number-free     | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 281c011a-c661-4912-8ff0-e46287be1cc4 | low                 | hugepages-node0-1048576Kb@vmpage_number-used  | None | 552a4457-610b-53c1-98fe-fcac66b99eb6 |
| 2a4fccad-9c4d-4e22-9e84-f515370eca4b | low                 | hugepages-mm-2048Kb@vmpage_number-used        | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |
| 2f358e8f-b58d-4e33-83a8-715d712214ef | low                 | hugepages-mm-1048576Kb@vmpage_number-used     | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 40f01a11-ad2b-4731-9e21-a13757039ea1 | low                 | hugepages-node0-2048Kb@vmpage_number-free     | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 490d108c-d766-4966-b763-a663d563a360 | low                 | hugepages-mm-2048Kb@vmpage_number-free        | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 4a17a71c-574c-4595-872e-8e71cb46f3eb | low                 | hugepages-node0-1048576Kb@vmpage_number-free  | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |

Comment 30 errata-xmlrpc 2018-06-27 13:08:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2084


Note You need to log in before you can comment on or make changes to this bug.